﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinGridGrouping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("col0", typeof(int));
            dt.Columns.Add("col1", typeof(string));
            dt.Columns.Add("col2", typeof(string));
            dt.Columns.Add("col3", typeof(string));

            DataRow dr;
            for (int i = 0; i < 20; i++)
            {
                dr = dt.NewRow();
                dr[0] = i;
                dr[1] = "Test " + i.ToString();
                dr[2] = "John";
                dr[3] = "Doe";
                dt.Rows.Add(dr);
            }

            return dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Clear();
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("col2", false, true);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Clear();
        }
    }
}
